#!hs2
#!load hamster.hsm
#!load hmessage.hsm

#####################################################################
# Skrypt     : My_FQD.hsc
# Autor      : Nuta <nuta@konto.pl>
# Strona WWW : http://hamster.thebat.pl
# Wersja     : 2001-03-17
# Poprawki   : 2002-04-12
# ===================================================================
# Opis : Skrypt modyfikujcy artykuom i listom gotowym do wysania
#      : nagwki Message-ID przez podstawienie w miejsce ju
#      : istniejcych, Twoich wasnych, unikalnych wpisw FQDN.
#      : Skrypt i zmiana FQDN moe by wykonywana wielokrotnie.
#####################################################################

HamRequireVersion("1.3.22.1", True)

Var($ListaPlikow, $Tresc, $FQDN, $i, $Ok)

$FQDN = ""

if ($FQDN = "")
  repeat
    repeat
      $FQDN = InputBox("Wpisz swj unikalny FQDN (np. agata.com.pl):", "My_FQDN - ustanawianie artykuom i listom prywatnego FQDN", $FQDN, $Ok)
      if ($Ok=0)
        quit
      endif
    until ($FQDN <> "")
    $i = ((pos(".", $FQDN) = 0) || (pos("@", $FQDN) <> 0) || (pos("\", $FQDN) <> 0) || (pos("/", $FQDN) <> 0) || (pos("<", $FQDN) <> 0) || (pos(">", $FQDN) <> 0))
    if ($i = True)
      MsgBox("Wpisany FQDN: "+$FQDN+" jest niepoprawny!"+chr(10)+"Wpisz poprawny FQDN (Full Qualified Domain Name).", "My_FQDN - ustanawianie artykuom i listom prywatnego FQDN", 0x10|0x0)
    endif
  until (($i <> True) && ($Ok <> 0))
endif

$ListaPlikow = ListAlloc
$Tresc = ListAlloc

ListFiles($ListaPlikow, HamPath + "Groups\News.Out\*.msg")
if (ListCount($ListaPlikow) > 0)
  for ($i, 0, ListCount($ListaPlikow)-1)
    ListClear($Tresc)
    ListLoad($Tresc, HamPath + "Groups\News.Out\" + ListGet($ListaPlikow, $i))
    print("Modyfikuj FQDN artykuu ",ListGet($ListaPlikow, $i),"  Pozostao jeszcze ",ListCount($ListaPlikow)-1-$i,".  Czekaj...")
    MsgSetHeader($Tresc, "Message-ID:", (copy(MsgGetHeader($Tresc, "Message-ID:"), 1, pos("@", MsgGetHeader($Tresc, "Message-ID:"))) + $FQDN + ">"))
    ListSave($Tresc, HamPath + "Groups\News.Out\" + ListGet($ListaPlikow,$i))
  endfor
else
  print("W katalogu ",HamPath + "Groups\News.Out\"," nie ma artykuw do wysyki!")
endif

ListClear($ListaPlikow)

ListFiles($ListaPlikow, HamPath + "Mails\Mail.Out\*.msg")
if (ListCount($ListaPlikow) > 0)
  for ($i, 0, ListCount($ListaPlikow)-1)
    ListClear($Tresc)
    ListLoad($Tresc, HamPath + "Mails\Mail.Out\" + ListGet($ListaPlikow, $i))
    print("Modyfikuj FQDN listu ",ListGet($ListaPlikow, $i),"  Pozostao jeszcze ",ListCount($ListaPlikow)-1-$i,".  Czekaj...")
    MsgSetHeader($Tresc, "Message-ID:", (copy(MsgGetHeader($Tresc, "Message-ID:"), 1, pos("@", MsgGetHeader($Tresc, "Message-ID:"))) + $FQDN + ">"))
    ListSave($Tresc, HamPath + "Mails\Mail.Out\" + ListGet($ListaPlikow,$i))
  endfor
else
  print("W katalogu ",HamPath + "Mails\Mail.Out\"," nie ma listw do wysyki!")
endif

ListFree($ListaPlikow)
ListFree($Tresc)

quit
